
-- ---------------------------- Dyeable Nodes -------------------------- --
-- List of dyeable things
local dyeable_craftitem = {"wool, carpet"}

-- ---------------------------- Basics -------------------------- --
-- "We've got wool and wool accessories.
-- String
minetest.register_craftitem("vox_core:string", {
    description = "String",
    inventory_image = "vox_core_string.png"
})

-- Wool
minetest.register_node("vox_core:wool", {
    description = "Wool",
    tiles = {"vox_textiles_wool.png"},
    groups = {snappy=2, choppy=2, oddly_breakable_by_hand=3},
    sounds = default.node_sound_defaults(),
})

-- Carpet
-- These are made from wool and can be dyed
minetest.register_node("vox_core:carpet", {
    description = "Carpet",
    tiles = {"vox_textiles_carpet.png"},
    groups = {snappy=2, choppy=2, oddly_breakable_by_hand=3},
    sounds = default.node_sound_defaults(),
})